base64.h File Reference

Functionality for base64 encoding/decoding. More...

Go to the source code of this file.

## Functions

char * | Base64Encode (const unsigned char *, const unsigned int)
| return the base64 encoding of an array of unsigned chars More...
char * | Base64Encode (const char *, const unsigned int)
| return the base64 encoding of an array of chars More...
char * | Base64Decode (const char *, unsigned int *)
| return the decoded version of a base64 encoded char array More...

## Detailed Description

Functionality for base64 encoding/decoding.

Definition in file base64.h.

## Function Documentation

char* Base64Decode | ( | const char * | ,
|  | unsigned int * |
| ) |  |

return the decoded version of a base64 encoded char array

Note: The caller is responsible for calling `delete`[] on the char array returned by this function.

char* Base64Encode | ( | const unsigned char * | ,
|  | const unsigned | int
| ) |  |

return the base64 encoding of an array of unsigned chars

Note: The caller is responsible for calling `delete`[] on the char array returned by this function.

char* Base64Encode | ( | const char * | ,
|  | const unsigned | int
| ) |  |

return the base64 encoding of an array of chars

Note: The caller is responsible for calling `delete`[] on the char array returned by this function.